

- Build fix for older gcc's

- Don't typecast when assigning between void*'s and other pointers.

cc: <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/dvb/frontends/dib3000mc.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN drivers/media/dvb/frontends/dib3000mc.c~dib3000mc-build-fix drivers/media/dvb/frontends/dib3000mc.c
--- 25/drivers/media/dvb/frontends/dib3000mc.c~dib3000mc-build-fix	2005-01-23 21:05:06.647302544 -0800
+++ 25-akpm/drivers/media/dvb/frontends/dib3000mc.c	2005-01-23 21:06:17.510529696 -0800
@@ -562,9 +562,11 @@ static int dib3000mc_set_frontend(struct
 
 static int dib3000mc_fe_init(struct dvb_frontend* fe, int mobile_mode)
 {
+	struct dib3000_state *state;
+
 	deb_info("init start\n");
-	struct dib3000_state* state = (struct dib3000_state*) fe->demodulator_priv;
 
+	state = fe->demodulator_priv;
 	state->timing_offset = 0;
 	state->timing_offset_comp_done = 0;
 	
_
